apiVersion: redhatcop.redhat.io/v1alpha1
kind: QuayEcosystem
metadata:
  name: demonodeport2-quayecosystem
spec:
  quay:
    imagePullSecretName: redhat-pull-secret
    image: quay.io/quay/quay:v3.3.0-3
    registryBackends:
    - name: googleCloud
      googleCloud:
        accessKey: GOOGIYQW2MHOKLYHIW65Q7JX
        secretKey: MMlbxltLPF2TLYZvQKC01iMHTJ/86ZjBPFKARS1e
        bucketName: quay0423
        storagePath: /quaygcpdata/quayregistry
    externalAccess:
      type: NodePort
      nodePort: 30200
      configNodePort: 30201
      hostname: 10.0.147.44
    keepConfigDeployment: true
    enableRepoMirroring: true
    database:
      volumeSize: 30Gi
    envVars:
      - name: DEBUGLOG
        value: "true"
  clair:
    enabled: true
    image: quay.io/quay/clair-jwt:v3.3.0-1
    imagePullSecretName: redhat-pull-secret
    updateInterval: "60m"
